Edit a FAQ
curl --request PATCH \
--url https://api.pickupbell.com/locations/{locationId}/faqs/{faqId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"question": "<string>",
"answer": "<string>",
"position": 123
}
'import requests
url = "https://api.pickupbell.com/locations/{locationId}/faqs/{faqId}"
payload = {
"question": "<string>",
"answer": "<string>",
"position": 123
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({question: '<string>', answer: '<string>', position: 123})
};
fetch('https://api.pickupbell.com/locations/{locationId}/faqs/{faqId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"location_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"question": "<string>",
"answer": "<string>",
"asked_count": 123,
"position": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}API Reference · Agent configuration
Update FAQ
PATCH
/
locations
/
{locationId}
/
faqs
/
{faqId}
Edit a FAQ
Authorizations
Location-scoped API token from Settings → API & MCP.
Path Parameters
Location UUID or slug (e.g. premier-hvac).
Response
200 - application/json
Updated
Show child attributes
Show child attributes